org.apache.olingo.odata2.api.edm

## Interface EdmSimpleTypeFacade

-     public interface EdmSimpleTypeFacade

  Do not implement this interface or derive from class.
    This facade is used as a hook into the core implementation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmSimpleType` | `getEdmSimpleTypeInstance(EdmSimpleTypeKind typeKind)` IMPORTANT: Use `EdmSimpleTypeKind.getEdmSimpleTypeInstance()` for the application development.
    `EdmLiteral` | `parseUriLiteral(String uriLiteral)` IMPORTANT: Use `EdmSimpleTypeKind` parseUriLiteral for the implementation.
    `EdmLiteral` | `parseUriLiteral(String uriLiteral, EdmFacets facets)` IMPORTANT: Use `EdmSimpleTypeKind` parseUriLiteral for the implementation.

- - ### Method Detail

    - #### parseUriLiteral

          EdmLiteral parseUriLiteral(String uriLiteral)
                              throws EdmLiteralException

      IMPORTANT: Use `EdmSimpleTypeKind` parseUriLiteral for the implementation.

      This method definition is used only inside the core of this library.

      Parameters:
        `uriLiteral` -
      Returns:
        the parsed literal
      Throws:
        `EdmLiteralException`

    - #### parseUriLiteral

          EdmLiteral parseUriLiteral(String uriLiteral,
                                     EdmFacets facets)
                              throws EdmLiteralException

      IMPORTANT: Use `EdmSimpleTypeKind` parseUriLiteral for the implementation.

      This method definition is used only inside the core of this library.

      Parameters:
        `uriLiteral` -
        `facets` -
      Returns:
        the parsed literal
      Throws:
        `EdmLiteralException`

    - #### getEdmSimpleTypeInstance

          EdmSimpleType getEdmSimpleTypeInstance(EdmSimpleTypeKind typeKind)

      IMPORTANT: Use `EdmSimpleTypeKind.getEdmSimpleTypeInstance()` for the application development.

      This method definition is used only inside the core of this library.

      Parameters:
        `typeKind` - for which an instance is requested
      Returns:
        an instance of the corresponding `EdmSimpleType` to given `EdmSimpleTypeKind`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.